#!/usr/bin/env python
import coral
L = coral.lang.UML14

top = L.Class.getAllSuperclasses()
for s in range(len(top)):
    print s, top[s]

assert top[0] == L.Classifier
assert top[1] == L.GeneralizableElement # GeneralizableElement before Namespace
assert top[2] == L.Namespace
assert top[3] == L.ModelElement
assert top[4] == coral.AnyAbstractElement
assert top[5] == coral.AnyElement

imm_supers = L.Classifier.getSuperclasses()
assert imm_supers[0] == L.GeneralizableElement
assert imm_supers[1] == L.Namespace
for i in coral.lang.UML14.Classifier.getSuperclasses(): print i
